# Update authorization Endpoint: PUT /{paymentService}/{paymentProduct}/{paymentId}/authorizations/{authorizationId} Version: 1.0.0 Security: User access ## Path parameters: - `paymentService` (string, required) Enum: "payments", "bulkPayments" - `paymentProduct` (string, required) Enum: "creditTransfer", "directDebit" - `paymentId` (string, required) Id of the payment initiation - `authorizationId` (string, required) Id of the payment authorization ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)